

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/include/linux/console.h |    7 +++++--
 1 files changed, 5 insertions(+), 2 deletions(-)

diff -puN include/linux/console.h~new-console-flag-con_boot-comment include/linux/console.h
--- 25/include/linux/console.h~new-console-flag-con_boot-comment	2005-03-15 22:47:52.000000000 -0800
+++ 25-akpm/include/linux/console.h	2005-03-15 22:49:01.000000000 -0800
@@ -77,8 +77,11 @@ void give_up_console(const struct consw 
 #define CM_MOVE     (3)
 
 /*
- *	The interface for a console, or any other device that
- *	wants to capture console messages (printer driver?)
+ * The interface for a console, or any other device that wants to capture
+ * console messages (printer driver?)
+ *
+ * If a console driver is marked CON_BOOT then it will be auto-unregistered
+ * when the first real console is registered.  This is for early-printk drivers.
  */
 
 #define CON_PRINTBUFFER	(1)
_
